@echo off

REM ; If you not run this plugin with the environment variable ORACLE_SID set,
REM ; you can uncomment (Remove the "REM " prefix) the line below to
REM ; use e.g. "localhost" as oracle sid.
REM SET ORACLE_SID=localhost

REM ; If you like to use a special auth parameter please change the line below
SET AUTH=nagios/nagadmin
SET NLS_LANG=american_america.AL32UTF8
SET NLS_DATE_FORMAT=DD.MM.YYYY-HH24:MI:SS

echo ^<^<^<oracle_rman^>^>^>
(echo.|set /p x=%ORACLE_SID% )
(
echo set cmdsep on
echo set cmdsep '"'; --"
echo "set pages 0"
echo "set lines 8000"
echo "set feedback off"
echo "set head off"
echo "column instance format a10"
echo "select th.instance, decode(r.status, 'COMPLETED WITH WARNINGS', 'WARNINGS', r.status), start_time, end_time, round((end_time-start_time)*24,2) DURATION_HR,round(MBYTES_PROCESSED,2)||'M '||round(MBYTES_PROCESSED,2) FROM sys.V_$RMAN_STATUS r, v$thread th where OPERATION='BACKUP' and end_time>(sysdate -7) order by 3 desc;"
) | sqlplus -S %AUTH%
